using System;
using System.Collections.Generic;

namespace Ato.EN.IntegrationServices.CodeGenerationCTR
{
    public class CTR2021
    {
    
    public string INTId = null;
    public bool INTExists = false;
    public int INTCount = 0;
    public int INTOccurrenceIndex = 0;
    public int INTLastOccurrenceIndex = 0;
    public string INTIdentifier = null;
    public string INTIdentifierScheme = null;
        public string INTIdentifierABN = null;
        public DateTime? INTStartDate = null;
        public DateTime? INTEndDate = null;
    
        public bool DeclarationCollectionExists = false;
        public int DeclarationCollectionCount = 0;

         /// <summary>
         /// [Declaration.StatementType.Code='TrueAndCorrect']
         /// </summary>
        public bool DeclarationCollection_TrueAndCorrect_INTExists = false;

         /// <summary>
         /// [Declaration.StatementType.Code='TrueAndCorrect']
         /// </summary>
        public int DeclarationCollection_TrueAndCorrect_INTCount = 0;

         /// <summary>
         /// [Declaration.StatementType.Code='TrueAndCorrect'] Occurrence Index
         /// </summary>
        public int DeclarationCollection_TrueAndCorrect_INTOccurrenceIndex = 0;

         /// <summary>
         /// [Declaration.StatementType.Code='TrueAndCorrect'] Last Occurrence Index
         /// </summary>
        public int DeclarationCollection_TrueAndCorrect_INTLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// INT:tns:Declaration.StatementType.Code
        /// </summary>
        public string CTR261 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// INT:tns:Declaration.StatementAccepted.Indicator
        /// </summary>
        public bool? CTR237 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// INT:tns:Declaration.Statement.Text
        /// </summary>
        public string CTR238 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// INT:tns:Declaration.Signature.Date
        /// </summary>
        public DateTime? CTR234 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// INT:tns:Declaration.SignatoryIdentifier.Text
        /// </summary>
        public string CTR281 = null;
    
        public bool Declaration_PersonUnstructuredNameCollectionExists = false;
        public int Declaration_PersonUnstructuredNameCollectionCount = 0;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
         /// </summary>
        public bool Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_INTExists = false;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
         /// </summary>
        public int Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_INTCount = 0;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory'] Occurrence Index
         /// </summary>
        public int Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_INTOccurrenceIndex = 0;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory'] Last Occurrence Index
         /// </summary>
        public int Declaration_PersonUnstructuredNameCollection_DeclarationSignatory_INTLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration/tns:PersonUnstructuredName
        /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
        /// INT:tns:PersonUnstructuredName.Usage.Code
        /// </summary>
        public string CTR292 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration/tns:PersonUnstructuredName
        /// [PersonUnstructuredName.Usage.Code='DeclarationSignatory']
        /// INT:tns:PersonUnstructuredName.FullName.Text
        /// </summary>
        public string CTR291 = null;

        /// <summary>
        /// INT:tns:Identifiers.TaxAgentClientReference.Text
        /// </summary>
        public string CTR213 = null;
    
        public bool ElectronicContactTelephoneCollectionExists = false;
        public int ElectronicContactTelephoneCollectionCount = 0;

         /// <summary>
         /// [ElectronicContact.Telephone.Usage.Code='03']
         /// </summary>
        public bool ElectronicContactTelephoneCollection_03_INTExists = false;

         /// <summary>
         /// [ElectronicContact.Telephone.Usage.Code='03']
         /// </summary>
        public int ElectronicContactTelephoneCollection_03_INTCount = 0;

         /// <summary>
         /// [ElectronicContact.Telephone.Usage.Code='03'] Occurrence Index
         /// </summary>
        public int ElectronicContactTelephoneCollection_03_INTOccurrenceIndex = 0;

         /// <summary>
         /// [ElectronicContact.Telephone.Usage.Code='03'] Last Occurrence Index
         /// </summary>
        public int ElectronicContactTelephoneCollection_03_INTLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// INT:tns:ElectronicContact.Telephone.Usage.Code
        /// </summary>
        public string CTR276 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// INT:tns:ElectronicContact.Telephone.ServiceLine.Code
        /// </summary>
        public string CTR274 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// INT:tns:ElectronicContact.Telephone.Area.Code
        /// </summary>
        public string CTR215 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// INT:tns:ElectronicContact.Telephone.Minimal.Number
        /// </summary>
        public string CTR216 = null;
    
        public bool PersonUnstructuredNameCollectionExists = false;
        public int PersonUnstructuredNameCollectionCount = 0;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='Contact']
         /// </summary>
        public bool PersonUnstructuredNameCollection_Contact_INTExists = false;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='Contact']
         /// </summary>
        public int PersonUnstructuredNameCollection_Contact_INTCount = 0;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='Contact'] Occurrence Index
         /// </summary>
        public int PersonUnstructuredNameCollection_Contact_INTOccurrenceIndex = 0;

         /// <summary>
         /// [PersonUnstructuredName.Usage.Code='Contact'] Last Occurrence Index
         /// </summary>
        public int PersonUnstructuredNameCollection_Contact_INTLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonUnstructuredName
        /// [PersonUnstructuredName.Usage.Code='Contact']
        /// INT:tns:PersonUnstructuredName.Usage.Code
        /// </summary>
        public string CTR278 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonUnstructuredName
        /// [PersonUnstructuredName.Usage.Code='Contact']
        /// INT:tns:PersonUnstructuredName.FullName.Text
        /// </summary>
        public string CTR214 = null;

        /// <summary>
        /// INT:tns:Identifiers.TaxAgentNumber.Identifier
        /// </summary>
        public string CTR3 = null;

        public string RPId = null;
        public bool RPExists = false;
        public int RPCount = 0;
        public int RPOccurrenceIndex = 0;
        public int RPLastOccurrenceIndex = 0;
        public string RPIdentifier = null;
        public string RPIdentifierScheme = null;
        public string RPIdentifierTFN = null;
        public DateTime? RPStartDate = null;
        public DateTime? RPEndDate = null;

        /// <summary>
        /// RP:tns:Identifiers.TaxFileNumber.Identifier
        /// </summary>
        public string CTR8 = null;

        /// <summary>
        /// RP:tns:Report.TargetFinancial.Year
        /// </summary>
        public int? CTR2 = null;

        /// <summary>
        /// RP:tns:Report.Amendment.Indicator
        /// </summary>
        public bool? CTR298 = null;

        /// <summary>
        /// RP:tns:Report.AmendmentType.Code
        /// </summary>
        public string CTR306 = null;

        /// <summary>
        /// RP:tns:Report.AmendmentSequence.Number
        /// </summary>
        public decimal? CTR305 = null;

        /// <summary>
        /// RP:tns:Report.AmendmentReason.Text
        /// </summary>
        public string CTR307 = null;
    
        public bool OrganisationNameDetailsCollectionExists = false;
        public int OrganisationNameDetailsCollectionCount = 0;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
         /// </summary>
        public bool OrganisationNameDetailsCollection_MN_C_RPExists = false;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
         /// </summary>
        public int OrganisationNameDetailsCollection_MN_C_RPCount = 0;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Occurrence Index
         /// </summary>
        public int OrganisationNameDetailsCollection_MN_C_RPOccurrenceIndex = 0;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Last Occurrence Index
         /// </summary>
        public int OrganisationNameDetailsCollection_MN_C_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.OrganisationalNameType.Code
        /// </summary>
        public string CTR228 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.Currency.Code
        /// </summary>
        public string CTR285 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.OrganisationalName.Text
        /// </summary>
        public string CTR9 = null;

        /// <summary>
        /// RP:tns:OrganisationDetails.OrganisationActivityStatus.Code
        /// </summary>
        public string CTR10 = null;

        /// <summary>
        /// RP:tns:Identifiers.AustralianBusinessNumber.Identifier
        /// </summary>
        public string CTR11 = null;
    
        public bool AddressDetailsCollectionExists = false;
        public int AddressDetailsCollectionCount = 0;

         /// <summary>
         /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
         /// </summary>
        public bool AddressDetailsCollection_POS_C_RPExists = false;

         /// <summary>
         /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
         /// </summary>
        public int AddressDetailsCollection_POS_C_RPCount = 0;

         /// <summary>
         /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C'] Occurrence Index
         /// </summary>
        public int AddressDetailsCollection_POS_C_RPOccurrenceIndex = 0;

         /// <summary>
         /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C'] Last Occurrence Index
         /// </summary>
        public int AddressDetailsCollection_POS_C_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.OverseasAddress.Indicator
        /// </summary>
        public bool? CTR22 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Usage.Code
        /// </summary>
        public string CTR267 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Currency.Code
        /// </summary>
        public string CTR268 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line1.Text
        /// </summary>
        public string CTR15 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line2.Text
        /// </summary>
        public string CTR16 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line3.Text
        /// </summary>
        public string CTR17 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line4.Text
        /// </summary>
        public string CTR18 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.LocalityName.Text
        /// </summary>
        public string CTR19 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Postcode.Text
        /// </summary>
        public string CTR21 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.StateOrTerritory.Code
        /// </summary>
        public string CTR20 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.CountryName.Text
        /// </summary>
        public string CTR264 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Country.Code
        /// </summary>
        public string CTR23 = null;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P']
         /// </summary>
        public bool OrganisationNameDetailsCollection_MN_P_RPExists = false;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P']
         /// </summary>
        public int OrganisationNameDetailsCollection_MN_P_RPCount = 0;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P'] Occurrence Index
         /// </summary>
        public int OrganisationNameDetailsCollection_MN_P_RPOccurrenceIndex = 0;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P'] Last Occurrence Index
         /// </summary>
        public int OrganisationNameDetailsCollection_MN_P_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P']
        /// RP:tns:OrganisationNameDetails.OrganisationalNameType.Code
        /// </summary>
        public string CTR229 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P']
        /// RP:tns:OrganisationNameDetails.Currency.Code
        /// </summary>
        public string CTR286 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='P']
        /// RP:tns:OrganisationNameDetails.OrganisationalName.Text
        /// </summary>
        public string CTR12 = null;

         /// <summary>
         /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
         /// </summary>
        public bool AddressDetailsCollection_POS_P_RPExists = false;

         /// <summary>
         /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
         /// </summary>
        public int AddressDetailsCollection_POS_P_RPCount = 0;

         /// <summary>
         /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P'] Occurrence Index
         /// </summary>
        public int AddressDetailsCollection_POS_P_RPOccurrenceIndex = 0;

         /// <summary>
         /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P'] Last Occurrence Index
         /// </summary>
        public int AddressDetailsCollection_POS_P_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.OverseasAddress.Indicator
        /// </summary>
        public bool? CTR31 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.Usage.Code
        /// </summary>
        public string CTR273 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.Currency.Code
        /// </summary>
        public string CTR270 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.Line1.Text
        /// </summary>
        public string CTR24 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.Line2.Text
        /// </summary>
        public string CTR25 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.Line3.Text
        /// </summary>
        public string CTR26 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.Line4.Text
        /// </summary>
        public string CTR27 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.LocalityName.Text
        /// </summary>
        public string CTR28 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.Postcode.Text
        /// </summary>
        public string CTR30 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.StateOrTerritory.Code
        /// </summary>
        public string CTR29 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.CountryName.Text
        /// </summary>
        public string CTR265 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='POS'].[AddressDetails.Currency.Code='P']
        /// RP:tns:AddressDetails.Country.Code
        /// </summary>
        public string CTR32 = null;

         /// <summary>
         /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
         /// </summary>
        public bool AddressDetailsCollection_BUS_C_RPExists = false;

         /// <summary>
         /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
         /// </summary>
        public int AddressDetailsCollection_BUS_C_RPCount = 0;

         /// <summary>
         /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C'] Occurrence Index
         /// </summary>
        public int AddressDetailsCollection_BUS_C_RPOccurrenceIndex = 0;

         /// <summary>
         /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C'] Last Occurrence Index
         /// </summary>
        public int AddressDetailsCollection_BUS_C_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.OverseasAddress.Indicator
        /// </summary>
        public bool? CTR40 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Usage.Code
        /// </summary>
        public string CTR269 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Currency.Code
        /// </summary>
        public string CTR283 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line1.Text
        /// </summary>
        public string CTR33 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line2.Text
        /// </summary>
        public string CTR34 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line3.Text
        /// </summary>
        public string CTR35 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Line4.Text
        /// </summary>
        public string CTR36 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.LocalityName.Text
        /// </summary>
        public string CTR37 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Postcode.Text
        /// </summary>
        public string CTR39 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.StateOrTerritory.Code
        /// </summary>
        public string CTR38 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.CountryName.Text
        /// </summary>
        public string CTR266 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:AddressDetails
        /// [AddressDetails.Usage.Code='BUS'].[AddressDetails.Currency.Code='C']
        /// RP:tns:AddressDetails.Country.Code
        /// </summary>
        public string CTR41 = null;

        /// <summary>
        /// RP:tns:Lodgment.FinalReturn.Indicator
        /// </summary>
        public bool? CTR42 = null;
    
        public bool FinancialInstitutionAccountCollectionExists = false;
        public int FinancialInstitutionAccountCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:FinancialInstitutionAccount
        /// RP:tns:FinancialInstitutionAccount.BankStateBranch.Number
        /// </summary>
        public string CTR293 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:FinancialInstitutionAccount
        /// RP:tns:FinancialInstitutionAccount.FinancialInstitutionAccount.Number
        /// </summary>
        public string CTR294 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:FinancialInstitutionAccount
        /// RP:tns:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text
        /// </summary>
        public string CTR295 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:FinancialInstitutionAccount
        /// RP:tns:FinancialInstitutionAccount.FinancialInstitutionBranchName.Text
        /// </summary>
        public string CTR296 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:FinancialInstitutionAccount
        /// RP:tns:FinancialInstitutionAccount.FinancialInstitutionName.Text
        /// </summary>
        public string CTR297 = null;
    
        public bool UltimateHoldingCompanyCollectionExists = false;
        public int UltimateHoldingCompanyCollectionCount = 0;
    
        public bool UltimateHoldingCompany_OrganisationNameDetailsCollectionExists = false;
        public int UltimateHoldingCompany_OrganisationNameDetailsCollectionCount = 0;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
         /// </summary>
        public bool UltimateHoldingCompany_OrganisationNameDetailsCollection_MN_C_RPExists = false;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
         /// </summary>
        public int UltimateHoldingCompany_OrganisationNameDetailsCollection_MN_C_RPCount = 0;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Occurrence Index
         /// </summary>
        public int UltimateHoldingCompany_OrganisationNameDetailsCollection_MN_C_RPOccurrenceIndex = 0;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Last Occurrence Index
         /// </summary>
        public int UltimateHoldingCompany_OrganisationNameDetailsCollection_MN_C_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:UltimateHoldingCompany/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.OrganisationalNameType.Code
        /// </summary>
        public string CTR271 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:UltimateHoldingCompany/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.Currency.Code
        /// </summary>
        public string CTR287 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:UltimateHoldingCompany/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.OrganisationalName.Text
        /// </summary>
        public string CTR43 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:UltimateHoldingCompany
        /// RP:tns:Identifiers.AustralianBusinessNumber.Identifier
        /// </summary>
        public string CTR44 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:UltimateHoldingCompany
        /// RP:tns:Residency.TaxPurposesCountry.Code
        /// </summary>
        public string CTR45 = null;
    
        public bool ImmediateHoldingCompanyCollectionExists = false;
        public int ImmediateHoldingCompanyCollectionCount = 0;
    
        public bool ImmediateHoldingCompany_OrganisationNameDetailsCollectionExists = false;
        public int ImmediateHoldingCompany_OrganisationNameDetailsCollectionCount = 0;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
         /// </summary>
        public bool ImmediateHoldingCompany_OrganisationNameDetailsCollection_MN_C_RPExists = false;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
         /// </summary>
        public int ImmediateHoldingCompany_OrganisationNameDetailsCollection_MN_C_RPCount = 0;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Occurrence Index
         /// </summary>
        public int ImmediateHoldingCompany_OrganisationNameDetailsCollection_MN_C_RPOccurrenceIndex = 0;

         /// <summary>
         /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C'] Last Occurrence Index
         /// </summary>
        public int ImmediateHoldingCompany_OrganisationNameDetailsCollection_MN_C_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:ImmediateHoldingCompany/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.OrganisationalNameType.Code
        /// </summary>
        public string CTR272 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:ImmediateHoldingCompany/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.Currency.Code
        /// </summary>
        public string CTR288 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:ImmediateHoldingCompany/tns:OrganisationNameDetails
        /// [OrganisationNameDetails.OrganisationalNameType.Code='MN'].[OrganisationNameDetails.Currency.Code='C']
        /// RP:tns:OrganisationNameDetails.OrganisationalName.Text
        /// </summary>
        public string CTR46 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:ImmediateHoldingCompany
        /// RP:tns:Identifiers.AustralianBusinessNumber.Identifier
        /// </summary>
        public string CTR47 = null;

        /// <summary>
        /// RP:tns:OrganisationDetails.MainIncomeActivity.Description
        /// </summary>
        public string CTR48 = null;

        /// <summary>
        /// RP:tns:OrganisationDetails.OrganisationIndustry2006Extended.Code
        /// </summary>
        public string CTR49 = null;

        /// <summary>
        /// RP:tns:Equity.ContributedEquity.NonAustralianShareholding.Percent
        /// </summary>
        public decimal? CTR50 = null;

        /// <summary>
        /// RP:tns:Residency.TaxPurposesOrganisationStatus.Code
        /// </summary>
        public string CTR51 = null;

        /// <summary>
        /// RP:tns:OrganisationDetails.OrganisationType.Code
        /// </summary>
        public string CTR52 = null;

        /// <summary>
        /// RP:tns:OrganisationDetails.TaxConsolidationStatus.Code
        /// </summary>
        public string CTR53 = null;

        /// <summary>
        /// RP:tns:OrganisationDetails.ActivityEvent.Code
        /// </summary>
        public string CTR54 = null;

        /// <summary>
        /// RP:tns:Elections.SmallBusinessEntitiesElection.Indicator
        /// </summary>
        public bool? CTR363 = null;

        /// <summary>
        /// RP:tns:Elections.BaseRateEntityElection.Indicator
        /// </summary>
        public bool? CTR375 = null;

        /// <summary>
        /// RP:tns:OrganisationDetails.SignificantGlobalEntityStatus.Indicator
        /// </summary>
        public bool? CTR370 = null;

        /// <summary>
        /// RP:tns:InternationalDealings.CountryByCountryReportingEntityStatus.Indicator
        /// </summary>
        public bool? CTR378 = null;

        /// <summary>
        /// RP:tns:Elections.InterposedEntityElectionStatus.Year
        /// </summary>
        public int? CTR55 = null;

        /// <summary>
        /// RP:tns:Elections.InterposedEntityElectionOrRevocation.Code
        /// </summary>
        public string CTR56 = null;

        /// <summary>
        /// RP:tns:RegulatoryDisclosures.FinancialStatementLodged.Indicator
        /// </summary>
        public bool? CTR371 = null;

        /// <summary>
        /// RP:tns:RegulatoryDisclosures.FinancialStatementLodgmentPending.Indicator
        /// </summary>
        public bool? CTR372 = null;

        /// <summary>
        /// RP:tns:Remuneration.PaymentToForeignResidentGross.Amount
        /// </summary>
        public decimal? CTR57 = null;

        /// <summary>
        /// RP:tns:Remuneration.ABNNotQuotedPaymentGross.Amount
        /// </summary>
        public decimal? CTR58 = null;

        /// <summary>
        /// RP:tns:Income.SaleOfGoodsAndServices.Other.Amount
        /// </summary>
        public decimal? CTR59 = null;

        /// <summary>
        /// RP:tns:Income.PartnershipDistributionGross.Amount
        /// </summary>
        public decimal? CTR60 = null;
    
        public bool TrustDistributionIncomeCollectionExists = false;
        public int TrustDistributionIncomeCollectionCount = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:TrustDistributionIncome
        /// RP:tns:Income.TrustDistributionGross.Amount
        /// </summary>
        public decimal? CTR61 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:TrustDistributionIncome
        /// RP:tns:Party.TrustType.Code
        /// </summary>
        public string CTR379 = null;

        /// <summary>
        /// RP:tns:Income.ForestryManagedInvestmentScheme.Amount
        /// </summary>
        public decimal? CTR63 = null;

        /// <summary>
        /// RP:tns:Income.Interest.Gross.Amount
        /// </summary>
        public decimal? CTR64 = null;

        /// <summary>
        /// RP:tns:Income.RentLeasingHiringGross.Amount
        /// </summary>
        public decimal? CTR65 = null;

        /// <summary>
        /// RP:tns:Income.DividendsTotal.Amount
        /// </summary>
        public decimal? CTR66 = null;

        /// <summary>
        /// RP:tns:Remuneration.FringeBenefits.EmployeeContribution.Amount
        /// </summary>
        public decimal? CTR67 = null;

        /// <summary>
        /// RP:tns:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount
        /// </summary>
        public decimal? CTR68 = null;

        /// <summary>
        /// RP:tns:GovernmentFunding.GovernmentIndustryPaymentsIncludesFuel.Indicator
        /// </summary>
        public bool? CTR69 = null;

        /// <summary>
        /// RP:tns:Income.AssetRevaluationsUnrealisedGains.Amount
        /// </summary>
        public decimal? CTR70 = null;

        /// <summary>
        /// RP:tns:Income.OtherGross.Amount
        /// </summary>
        public decimal? CTR71 = null;

        /// <summary>
        /// RP:tns:Expense.ForeignResidentWithholding.Amount
        /// </summary>
        public decimal? CTR72 = null;

        /// <summary>
        /// RP:tns:Expense.Operating.CostOfSales.Amount
        /// </summary>
        public decimal? CTR73 = null;

        /// <summary>
        /// RP:tns:Remuneration.WagesAndSalaries.PaymentsContractorAndConsultant.Amount
        /// </summary>
        public decimal? CTR364 = null;

        /// <summary>
        /// RP:tns:SuperannuationContribution.EmployerContributions.Amount
        /// </summary>
        public decimal? CTR75 = null;

        /// <summary>
        /// RP:tns:Expense.Operating.BadDebts.Amount
        /// </summary>
        public decimal? CTR76 = null;

        /// <summary>
        /// RP:tns:Expense.Operating.Rent.Amount
        /// </summary>
        public decimal? CTR79 = null;

        /// <summary>
        /// RP:tns:Expense.DepreciationAndAmortisation.Amount
        /// </summary>
        public decimal? CTR84 = null;

        /// <summary>
        /// RP:tns:Expense.Operating.MotorVehicle.Amount
        /// </summary>
        public decimal? CTR85 = null;

        /// <summary>
        /// RP:tns:Expense.Operating.RepairsAndMaintenance.Amount
        /// </summary>
        public decimal? CTR86 = null;

        /// <summary>
        /// RP:tns:Expense.AssetRevaluationsUnrealisedLosses.Amount
        /// </summary>
        public decimal? CTR87 = null;

        /// <summary>
        /// RP:tns:Expense.Other.Amount
        /// </summary>
        public decimal? CTR88 = null;

        /// <summary>
        /// RP:tns:CapitalGainsTax.Event.Indicator
        /// </summary>
        public bool? CTR89 = null;

        /// <summary>
        /// RP:tns:CapitalGainsTax.ExemptionOrRolloverApplied.Indicator
        /// </summary>
        public bool? CTR329 = null;

        /// <summary>
        /// RP:tns:CapitalGainsTax.ExemptionOrRolloverApplied.Code
        /// </summary>
        public List<string> CTR330Collection = null;

        /// <summary>
        /// RP:tns:Income.CapitalGainsNet.Amount
        /// </summary>
        public decimal? CTR91 = null;

        /// <summary>
        /// RP:tns:Expense.NonDeductibleExemptIncome.Amount
        /// </summary>
        public decimal? CTR92 = null;

        /// <summary>
        /// RP:tns:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount
        /// </summary>
        public decimal? CTR93 = null;

        /// <summary>
        /// RP:tns:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
        /// </summary>
        public decimal? CTR94 = null;

        /// <summary>
        /// RP:tns:Income.AssessableOther.Amount
        /// </summary>
        public decimal? CTR95 = null;

        /// <summary>
        /// RP:tns:Expense.NonDeductible.Amount
        /// </summary>
        public decimal? CTR96 = null;

        /// <summary>
        /// RP:tns:TaxConcession.ResearchAndDevelopment.WriteBackOfAccountingExpenditure.Amount
        /// </summary>
        public decimal? CTR97 = null;

        /// <summary>
        /// RP:tns:Expense.FlowOnDividendDeduction.Amount
        /// </summary>
        public decimal? CTR98 = null;

        /// <summary>
        /// RP:tns:Expense.DepreciationAllowableDeduction.Amount
        /// </summary>
        public decimal? CTR99 = null;

        /// <summary>
        /// RP:tns:Expense.ForestryManagedInvestmentSchemeDeduction.Amount
        /// </summary>
        public decimal? CTR100 = null;

        /// <summary>
        /// RP:tns:Expense.CapitalExpenditureImmediateDeduction.Amount
        /// </summary>
        public decimal? CTR101 = null;

        /// <summary>
        /// RP:tns:Expense.ProjectPoolAllowableDeduction.Amount
        /// </summary>
        public decimal? CTR102 = null;

        /// <summary>
        /// RP:tns:Expense.CapitalWorksDeduction.Amount
        /// </summary>
        public decimal? CTR103 = null;

        /// <summary>
        /// RP:tns:Expense.CapitalExpenditureSpecifiedAllowableDeduction.Amount
        /// </summary>
        public decimal? CTR104 = null;

        /// <summary>
        /// RP:tns:Expense.EnvironmentalProtectionDeduction.Amount
        /// </summary>
        public decimal? CTR112 = null;

        /// <summary>
        /// RP:tns:TaxConcession.OffshoreBankingUnitAdjustment.Amount
        /// </summary>
        public decimal? CTR113 = null;

        /// <summary>
        /// RP:tns:Income.Exempt.Amount
        /// </summary>
        public decimal? CTR114 = null;

        /// <summary>
        /// RP:tns:Income.NotincludedInAssessableOther.Amount
        /// </summary>
        public decimal? CTR115 = null;

        /// <summary>
        /// RP:tns:Expense.DeductibleOther.Amount
        /// </summary>
        public decimal? CTR116 = null;

        /// <summary>
        /// RP:tns:IncomeTax.Deduction.TaxLossesDeducted.Amount
        /// </summary>
        public decimal? CTR117 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TaxLossesTransferredIn.Amount
        /// </summary>
        public decimal? CTR118 = null;

        /// <summary>
        /// RP:tns:Income.Taxable.Amount
        /// </summary>
        public decimal? CTR120 = null;

        /// <summary>
        /// RP:tns:Miscellaneous.FunctionalCurrency.Code
        /// </summary>
        public string CTR244 = null;

        /// <summary>
        /// RP:tns:Expense.Purchases.AndOtherCosts.Amount
        /// </summary>
        public decimal? CTR124 = null;

        /// <summary>
        /// RP:tns:Elections.TradingStock.Indicator
        /// </summary>
        public bool? CTR127 = null;

        /// <summary>
        /// RP:tns:Liabilities.DebtTotal.Amount
        /// </summary>
        public decimal? CTR134 = null;

        /// <summary>
        /// RP:tns:Liabilities.CommercialDebtForgiveness.Amount
        /// </summary>
        public decimal? CTR135 = null;

        /// <summary>
        /// RP:tns:Equity.Dividends.FrankedPaid.Amount
        /// </summary>
        public decimal? CTR137 = null;

        /// <summary>
        /// RP:tns:Equity.Dividends.UnfrankedPaid.Amount
        /// </summary>
        public decimal? CTR138 = null;

        /// <summary>
        /// RP:tns:Income.AggregatedTurnoverRange.Code
        /// </summary>
        public string CTR392 = null;

        /// <summary>
        /// RP:tns:Income.AggregatedTurnover.Amount
        /// </summary>
        public decimal? CTR393 = null;

        /// <summary>
        /// RP:tns:IncomeTax.FrankingCredits.ExcessFrankingOffsets.Amount
        /// </summary>
        public decimal? CTR142 = null;

        /// <summary>
        /// RP:tns:Assets.LoansAndReceivables.RelatedParties.Amount
        /// </summary>
        public decimal? CTR145 = null;

        /// <summary>
        /// RP:tns:Assets.LoansAndReceivablesAction.Code
        /// </summary>
        public string CTR146 = null;

        /// <summary>
        /// RP:tns:Remuneration.WagesAndSalaries.Total.Amount
        /// </summary>
        public decimal? CTR151 = null;

        /// <summary>
        /// RP:tns:Remuneration.WagesAndSalariesAction.Code
        /// </summary>
        public string CTR152 = null;

        /// <summary>
        /// RP:tns:Remuneration.PaymentToRelatedPartiesGross.Amount
        /// </summary>
        public decimal? CTR153 = null;

        /// <summary>
        /// RP:tns:InternationalDealings.ForeignIncomeGross.Amount
        /// </summary>
        public decimal? CTR318 = null;

        /// <summary>
        /// RP:tns:Income.InternationalDealings.Net.Amount
        /// </summary>
        public decimal? CTR154 = null;

        /// <summary>
        /// RP:tns:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount
        /// </summary>
        public decimal? CTR159 = null;

        /// <summary>
        /// RP:tns:Expense.DepreciatingAssets.IntangibleFirstDeducted.Amount
        /// </summary>
        public decimal? CTR147 = null;

        /// <summary>
        /// RP:tns:Expense.DepreciatingAssets.OtherFirstDeducted.Amount
        /// </summary>
        public decimal? CTR148 = null;

        /// <summary>
        /// RP:tns:IncomeTax.Deduction.TemporaryFullExpensingEligibleAssetsOptOut.Code
        /// </summary>
        public string CTR380 = null;

        /// <summary>
        /// RP:tns:IncomeTax.Deduction.TemporaryFullExpensingEligibleAssetsOptOut.Number
        /// </summary>
        public decimal? CTR381 = null;

        /// <summary>
        /// RP:tns:IncomeTax.Deduction.TemporaryFullExpensingEligibleAssetsOptOut.Amount
        /// </summary>
        public decimal? CTR382 = null;

        /// <summary>
        /// RP:tns:IncomeTax.Deduction.TemporaryFullExpensingEligibleAssets.Amount
        /// </summary>
        public decimal? CTR383 = null;

        /// <summary>
        /// RP:tns:IncomeTax.Deduction.TemporaryFullExpensingEligibleAssets.Number
        /// </summary>
        public decimal? CTR384 = null;

        /// <summary>
        /// RP:tns:IncomeTax.AlternativeIncomeTest.Indicator
        /// </summary>
        public bool? CTR385 = null;

        /// <summary>
        /// RP:tns:IncomeTax.Deduction.BackingBusinessInvestmentEligibleAssetsOptOut.Code
        /// </summary>
        public string CTR386 = null;

        /// <summary>
        /// RP:tns:IncomeTax.Deduction.BackingBusinessInvestmentEligibleAssetsOptOut.Number
        /// </summary>
        public decimal? CTR387 = null;

        /// <summary>
        /// RP:tns:IncomeTax.Deduction.BackingBusinessInvestmentEligibleAssetsOptOut.Amount
        /// </summary>
        public decimal? CTR388 = null;

        /// <summary>
        /// RP:tns:Expense.FirstYearAcceleratedDepreciationDeductionsForAssets.Amount
        /// </summary>
        public decimal? CTR389 = null;

        /// <summary>
        /// RP:tns:Assets.PropertyPlantAndEquipment.DepreciatingAssets.FirstDeductedSelfAssessedEffectiveLife.Indicator
        /// </summary>
        public bool? CTR331 = null;

        /// <summary>
        /// RP:tns:Assets.PropertyPlantAndEquipment.DepreciatingAssets.EffectiveLifeRecalculation.Indicator
        /// </summary>
        public bool? CTR332 = null;

        /// <summary>
        /// RP:tns:Assets.DepreciatingAssets.AdjustableValuesTotal.Amount
        /// </summary>
        public decimal? CTR333 = null;

        /// <summary>
        /// RP:tns:Income.DepreciatingAssets.IntangibleBalancingAdjustment.Amount
        /// </summary>
        public decimal? CTR334 = null;

        /// <summary>
        /// RP:tns:Expense.DepreciatingAssets.IntangibleBalancingAdjustment.Amount
        /// </summary>
        public decimal? CTR335 = null;

        /// <summary>
        /// RP:tns:Assets.DepreciatingAssets.IntangibleTerminationValue.Amount
        /// </summary>
        public decimal? CTR149 = null;

        /// <summary>
        /// RP:tns:Assets.DepreciatingAssets.OtherTerminationValue.Amount
        /// </summary>
        public decimal? CTR150 = null;

        /// <summary>
        /// RP:tns:Expense.SubsequentYearAcceleratedDepreciationDeductionsForAssets.Amount
        /// </summary>
        public decimal? CTR390 = null;

        /// <summary>
        /// RP:tns:Expense.InstantAssetWriteOffDeductions.Amount
        /// </summary>
        public decimal? CTR391 = null;

        /// <summary>
        /// RP:tns:Expense.DepreciatingAssets.ProjectPoolAllocationsForMiningAndTransportCapitalExpenditure.Amount
        /// </summary>
        public decimal? CTR336 = null;

        /// <summary>
        /// RP:tns:Expense.DepreciatingAssets.IntangibleAssetsDeclineInValueOfExplorationOrProspecting.Amount
        /// </summary>
        public decimal? CTR337 = null;

        /// <summary>
        /// RP:tns:Expense.DepreciatingAssets.OtherAssetsDeclineInValueOfExplorationOrProspecting.Amount
        /// </summary>
        public decimal? CTR338 = null;

        /// <summary>
        /// RP:tns:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount
        /// </summary>
        public decimal? CTR246 = null;

        /// <summary>
        /// RP:tns:Tax.Losses.CarriedForward.Total.Amount
        /// </summary>
        public decimal? CTR175 = null;

        /// <summary>
        /// RP:tns:Tax.Losses.CarryBackAmendment.Indicator
        /// </summary>
        public bool? CTR414 = null;

        /// <summary>
        /// RP:tns:Income.ExemptNet.Amount
        /// </summary>
        public decimal? CTR405 = null;

        /// <summary>
        /// RP:tns:IncomeTax.Liability.Amount
        /// </summary>
        public decimal? CTR408 = null;

        /// <summary>
        /// RP:tns:TaxRate.Designation.Rate
        /// </summary>
        public decimal? CTR410 = null;

        /// <summary>
        /// RP:tns:Tax.Losses.CarryBackOffset.Amount
        /// </summary>
        public decimal? CTR413 = null;

        /// <summary>
        /// RP:tns:Income.PersonalServicesIncomeIncluded.Indicator
        /// </summary>
        public bool? CTR177 = null;

        /// <summary>
        /// RP:tns:Income.PersonalServicesIncome.Total.Amount
        /// </summary>
        public decimal? CTR346 = null;

        /// <summary>
        /// RP:tns:Expense.PersonalServicesIncome.Deduction.Amount
        /// </summary>
        public decimal? CTR347 = null;

        /// <summary>
        /// RP:tns:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator
        /// </summary>
        public bool? CTR348 = null;

        /// <summary>
        /// RP:tns:IncomeTax.PersonalServicesIncome.IndividualPersonalServiceBusinessDeterminationHeld.Indicator
        /// </summary>
        public bool? CTR349 = null;

        /// <summary>
        /// RP:tns:IncomeTax.PersonalServicesIncome.UnrelatedClientsTestSatisfied.Indicator
        /// </summary>
        public bool? CTR350 = null;

        /// <summary>
        /// RP:tns:IncomeTax.PersonalServicesIncome.EmploymentTestSatisfied.Indicator
        /// </summary>
        public bool? CTR351 = null;

        /// <summary>
        /// RP:tns:IncomeTax.PersonalServicesIncome.BusinessPremisesTestSatisfied.Indicator
        /// </summary>
        public bool? CTR352 = null;

        /// <summary>
        /// RP:tns:Income.NonMembers.Percent
        /// </summary>
        public decimal? CTR178 = null;

        /// <summary>
        /// RP:tns:Income.Insurance.Taxable.Amount
        /// </summary>
        public decimal? CTR182 = null;

        /// <summary>
        /// RP:tns:Income.Insurance.FeesAndCharges.Amount
        /// </summary>
        public decimal? CTR183 = null;

        /// <summary>
        /// RP:tns:Income.PooledDevelopmentFundsSmallToMediumEnterprises.Amount
        /// </summary>
        public decimal? CTR184 = null;

        /// <summary>
        /// RP:tns:Income.PooledDevelopmentFundsUnregulatedInvestment.Amount
        /// </summary>
        public decimal? CTR185 = null;

        /// <summary>
        /// RP:tns:Income.RetirementSavingsAccountTFNNotQuotedContributionsIncome.Amount
        /// </summary>
        public decimal? CTR308 = null;

        /// <summary>
        /// RP:tns:IncomeTax.RetirementSavingsAccountTFNNotQuotedContributionsIncomeTaxPayable.Amount
        /// </summary>
        public decimal? CTR309 = null;

        /// <summary>
        /// RP:tns:Income.RetirementSavingsAccountsTaxableNet.Amount
        /// </summary>
        public decimal? CTR190 = null;

        /// <summary>
        /// RP:tns:Income.InternationalDealings.TaxOffset.Amount
        /// </summary>
        public decimal? CTR201 = null;

        /// <summary>
        /// RP:tns:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount
        /// </summary>
        public decimal? CTR328 = null;

        /// <summary>
        /// RP:tns:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundableUtilised.Amount
        /// </summary>
        public decimal? CTR300 = null;

        /// <summary>
        /// RP:tns:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount
        /// </summary>
        public decimal? CTR210 = null;

        /// <summary>
        /// RP:tns:Income.ResearchAndDevelopment.FeedstockAdjustment.Amount
        /// </summary>
        public decimal? CTR354 = null;

        /// <summary>
        /// RP:tns:RegulatoryDisclosures.ReportableTaxPosition.Indicator
        /// </summary>
        public bool? CTR319 = null;

        /// <summary>
        /// RP:tns:InternationalDealings.RelatedPartiesTransactions.Indicator
        /// </summary>
        public bool? CTR193 = null;

        /// <summary>
        /// RP:tns:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
        /// </summary>
        public bool? CTR194 = null;

        /// <summary>
        /// RP:tns:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator
        /// </summary>
        public bool? CTR195 = null;

        /// <summary>
        /// RP:tns:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator
        /// </summary>
        public bool? CTR196 = null;

        /// <summary>
        /// RP:tns:InternationalDealings.TransactionsWithTaxHavenCountries.Indicator
        /// </summary>
        public bool? CTR198 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TotalTaxOnTaxableIncome.Amount
        /// </summary>
        public decimal? CTR320 = null;

        /// <summary>
        /// RP:tns:IncomeTax.ResearchAndDevelopmentRecoupment.Amount
        /// </summary>
        public decimal? CTR321 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TaxableGross.Amount
        /// </summary>
        public decimal? CTR199 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TaxOffsetNonRefundableNonCarryForward.Amount
        /// </summary>
        public decimal? CTR327 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TaxOffsetNonRefundableSubTotal.Amount
        /// </summary>
        public decimal? CTR322 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TaxOffsetNonRefundableCarryForward.Amount
        /// </summary>
        public decimal? CTR323 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TaxOffsetCarriedForwardSubTotal.Amount
        /// </summary>
        public decimal? CTR324 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TotalRefundableTaxOffsets.Amount
        /// </summary>
        public decimal? CTR316 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TaxOffsetRefundableSubTotal.Amount
        /// </summary>
        public decimal? CTR325 = null;

        /// <summary>
        /// RP:tns:IncomeTax.Payable.Amount
        /// </summary>
        public decimal? CTR203 = null;

        /// <summary>
        /// RP:tns:InternationalDealings.AAMInterestSection102.Amount
        /// </summary>
        public decimal? CTR204 = null;

        /// <summary>
        /// RP:tns:Income.Interest.EarlyPaymentCredit.Amount
        /// </summary>
        public decimal? CTR206 = null;
    
        public bool ItpaygWithholdingDetailsCollectionExists = false;
        public int ItpaygWithholdingDetailsCollectionCount = 0;

         /// <summary>
         /// [IncomeTax.PayAsYouGoWithholding.PaymentType.Code='DFRW']
         /// </summary>
        public bool ItpaygWithholdingDetailsCollection_DFRW_RPExists = false;

         /// <summary>
         /// [IncomeTax.PayAsYouGoWithholding.PaymentType.Code='DFRW']
         /// </summary>
        public int ItpaygWithholdingDetailsCollection_DFRW_RPCount = 0;

         /// <summary>
         /// [IncomeTax.PayAsYouGoWithholding.PaymentType.Code='DFRW'] Occurrence Index
         /// </summary>
        public int ItpaygWithholdingDetailsCollection_DFRW_RPOccurrenceIndex = 0;

         /// <summary>
         /// [IncomeTax.PayAsYouGoWithholding.PaymentType.Code='DFRW'] Last Occurrence Index
         /// </summary>
        public int ItpaygWithholdingDetailsCollection_DFRW_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:ITPAYGWithholdingDetails
        /// [IncomeTax.PayAsYouGoWithholding.PaymentType.Code='DFRW']
        /// RP:tns:IncomeTax.PayAsYouGoWithholding.PaymentType.Code
        /// </summary>
        public string CTR241 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:ITPAYGWithholdingDetails
        /// [IncomeTax.PayAsYouGoWithholding.PaymentType.Code='DFRW']
        /// RP:tns:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount
        /// </summary>
        public decimal? CTR207 = null;

         /// <summary>
         /// [IncomeTax.PayAsYouGoWithholding.PaymentType.Code='DNOABN']
         /// </summary>
        public bool ItpaygWithholdingDetailsCollection_DNOABN_RPExists = false;

         /// <summary>
         /// [IncomeTax.PayAsYouGoWithholding.PaymentType.Code='DNOABN']
         /// </summary>
        public int ItpaygWithholdingDetailsCollection_DNOABN_RPCount = 0;

         /// <summary>
         /// [IncomeTax.PayAsYouGoWithholding.PaymentType.Code='DNOABN'] Occurrence Index
         /// </summary>
        public int ItpaygWithholdingDetailsCollection_DNOABN_RPOccurrenceIndex = 0;

         /// <summary>
         /// [IncomeTax.PayAsYouGoWithholding.PaymentType.Code='DNOABN'] Last Occurrence Index
         /// </summary>
        public int ItpaygWithholdingDetailsCollection_DNOABN_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:ITPAYGWithholdingDetails
        /// [IncomeTax.PayAsYouGoWithholding.PaymentType.Code='DNOABN']
        /// RP:tns:IncomeTax.PayAsYouGoWithholding.PaymentType.Code
        /// </summary>
        public string CTR242 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:ITPAYGWithholdingDetails
        /// [IncomeTax.PayAsYouGoWithholding.PaymentType.Code='DNOABN']
        /// RP:tns:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount
        /// </summary>
        public decimal? CTR208 = null;

        /// <summary>
        /// RP:tns:IncomeTax.PayAsYouGoWithholding.TaxWithheldFromInvestmentIncomeAndInterest.Amount
        /// </summary>
        public decimal? CTR209 = null;

        /// <summary>
        /// RP:tns:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustTFNNotQuoted.Amount
        /// </summary>
        public decimal? CTR299 = null;

        /// <summary>
        /// RP:tns:IncomeTax.PayAsYouGoWithholding.CreditForCapitalGainsWithheldFromForeignResidents.Amount
        /// </summary>
        public decimal? CTR367 = null;

        /// <summary>
        /// RP:tns:IncomeTax.PayAsYouGoWithholding.CreditsRefundableOther.Amount
        /// </summary>
        public decimal? CTR211 = null;

        /// <summary>
        /// RP:tns:IncomeTax.Deduction.CreditsEligibleTotal.Amount
        /// </summary>
        public decimal? CTR317 = null;

        /// <summary>
        /// RP:tns:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount
        /// </summary>
        public decimal? CTR326 = null;

        /// <summary>
        /// RP:tns:IncomeTax.LiabilityInstalmentsTotal.Amount
        /// </summary>
        public decimal? CTR205 = null;

        /// <summary>
        /// RP:tns:IncomeTax.PayableOrRefundableTotal.Amount
        /// </summary>
        public decimal? CTR360 = null;

         /// <summary>
         /// [Declaration.StatementType.Code='TrueAndCorrect']
         /// </summary>
        public bool DeclarationCollection_TrueAndCorrect_RPExists = false;

         /// <summary>
         /// [Declaration.StatementType.Code='TrueAndCorrect']
         /// </summary>
        public int DeclarationCollection_TrueAndCorrect_RPCount = 0;

         /// <summary>
         /// [Declaration.StatementType.Code='TrueAndCorrect'] Occurrence Index
         /// </summary>
        public int DeclarationCollection_TrueAndCorrect_RPOccurrenceIndex = 0;

         /// <summary>
         /// [Declaration.StatementType.Code='TrueAndCorrect'] Last Occurrence Index
         /// </summary>
        public int DeclarationCollection_TrueAndCorrect_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// RP:tns:Declaration.StatementType.Code
        /// </summary>
        public string CTR262 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// RP:tns:Declaration.StatementAccepted.Indicator
        /// </summary>
        public bool? CTR239 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// RP:tns:Declaration.Statement.Text
        /// </summary>
        public string CTR240 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// RP:tns:Declaration.Signature.Date
        /// </summary>
        public DateTime? CTR236 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration
        /// [Declaration.StatementType.Code='TrueAndCorrect']
        /// RP:tns:Declaration.SignatoryIdentifier.Text
        /// </summary>
        public string CTR282 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration/tns:PersonUnstructuredName
        /// RP:tns:PersonUnstructuredName.Usage.Code
        /// </summary>
        public string CTR314 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:Declaration/tns:PersonUnstructuredName
        /// RP:tns:PersonUnstructuredName.FullName.Text
        /// </summary>
        public string CTR313 = null;
    
        public bool PersonNameDetailsCollectionExists = false;
        public int PersonNameDetailsCollectionCount = 0;

         /// <summary>
         /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='DeclarationSignatory']
         /// </summary>
        public bool PersonNameDetailsCollection_LGL_DeclarationSignatory_RPExists = false;

         /// <summary>
         /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='DeclarationSignatory']
         /// </summary>
        public int PersonNameDetailsCollection_LGL_DeclarationSignatory_RPCount = 0;

         /// <summary>
         /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='DeclarationSignatory'] Occurrence Index
         /// </summary>
        public int PersonNameDetailsCollection_LGL_DeclarationSignatory_RPOccurrenceIndex = 0;

         /// <summary>
         /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='DeclarationSignatory'] Last Occurrence Index
         /// </summary>
        public int PersonNameDetailsCollection_LGL_DeclarationSignatory_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='DeclarationSignatory']
        /// RP:tns:PersonNameDetails.PersonNameType.Code
        /// </summary>
        public string CTR280 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='DeclarationSignatory']
        /// RP:tns:PersonNameDetails.Usage.Code
        /// </summary>
        public string CTR279 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='DeclarationSignatory']
        /// RP:tns:PersonNameDetails.Currency.Code
        /// </summary>
        public string CTR284 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='DeclarationSignatory']
        /// RP:tns:PersonNameDetails.Title.Text
        /// </summary>
        public string CTR218 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='DeclarationSignatory']
        /// RP:tns:PersonNameDetails.NameSuffix.Text
        /// </summary>
        public string CTR220 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='DeclarationSignatory']
        /// RP:tns:PersonNameDetails.FamilyName.Text
        /// </summary>
        public string CTR219 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='DeclarationSignatory']
        /// RP:tns:PersonNameDetails.GivenName.Text
        /// </summary>
        public string CTR221 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:PersonNameDetails
        /// [PersonNameDetails.PersonNameType.Code='LGL'].[PersonNameDetails.Usage.Code='DeclarationSignatory']
        /// RP:tns:PersonNameDetails.OtherGivenName.Text
        /// </summary>
        public string CTR222 = null;

         /// <summary>
         /// [ElectronicContact.Telephone.Usage.Code='03']
         /// </summary>
        public bool ElectronicContactTelephoneCollection_03_RPExists = false;

         /// <summary>
         /// [ElectronicContact.Telephone.Usage.Code='03']
         /// </summary>
        public int ElectronicContactTelephoneCollection_03_RPCount = 0;

         /// <summary>
         /// [ElectronicContact.Telephone.Usage.Code='03'] Occurrence Index
         /// </summary>
        public int ElectronicContactTelephoneCollection_03_RPOccurrenceIndex = 0;

         /// <summary>
         /// [ElectronicContact.Telephone.Usage.Code='03'] Last Occurrence Index
         /// </summary>
        public int ElectronicContactTelephoneCollection_03_RPLastOccurrenceIndex = 0;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// RP:tns:ElectronicContact.Telephone.Usage.Code
        /// </summary>
        public string CTR275 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// RP:tns:ElectronicContact.Telephone.ServiceLine.Code
        /// </summary>
        public string CTR230 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// RP:tns:ElectronicContact.Telephone.Area.Code
        /// </summary>
        public string CTR223 = null;

        /// <summary>
        /// /xbrli:xbrl/tns:ElectronicContactTelephone
        /// [ElectronicContact.Telephone.Usage.Code='03']
        /// RP:tns:ElectronicContact.Telephone.Minimal.Number
        /// </summary>
        public string CTR224 = null;

        /// <summary>
        /// RP:tns:Report.CompletionHours.Number
        /// </summary>
        public decimal? CTR217 = null;

        /// <summary>
        /// RP:tns:RegulatoryDisclosures.GeneralInformationAboutFinancialStatements.Text
        /// </summary>
        public string CTR263 = null;

        public string RPInstantId = null;
        public bool RPInstantExists = false;
        public int RPInstantCount = 0;
        public int RPInstantOccurrenceIndex = 0;
        public int RPInstantLastOccurrenceIndex = 0;
        public string RPInstantIdentifier = null;
        public string RPInstantIdentifierScheme = null;
        public string RPInstantIdentifierTFN = null;
        public DateTime? RPInstantInstantDate = null;

        /// <summary>
        /// RPInstant:tns:Capital.Losses.CarriedForward.Net.Amount
        /// </summary>
        public decimal? CTR176 = null;

        public string RPJAUSId = null;
        public bool RPJAUSExists = false;
        public int RPJAUSCount = 0;
        public int RPJAUSOccurrenceIndex = 0;
        public int RPJAUSLastOccurrenceIndex = 0;
        public string RPJAUSIdentifier = null;
        public string RPJAUSIdentifierScheme = null;
        public string RPJAUSIdentifierTFN = null;
        public DateTime? RPJAUSStartDate = null;
        public DateTime? RPJAUSEndDate = null;

        /// <summary>
        /// RPJAUS:tns:Expense.Operating.Lease.Amount
        /// </summary>
        public decimal? CTR77 = null;

        /// <summary>
        /// RPJAUS:tns:Expense.Operating.Interest.Amount
        /// </summary>
        public decimal? CTR80 = null;

        /// <summary>
        /// RPJAUS:tns:Expense.Royalties.Amount
        /// </summary>
        public decimal? CTR365 = null;

        public string RPJFOREIGNId = null;
        public bool RPJFOREIGNExists = false;
        public int RPJFOREIGNCount = 0;
        public int RPJFOREIGNOccurrenceIndex = 0;
        public int RPJFOREIGNLastOccurrenceIndex = 0;
        public string RPJFOREIGNIdentifier = null;
        public string RPJFOREIGNIdentifierScheme = null;
        public string RPJFOREIGNIdentifierTFN = null;
        public DateTime? RPJFOREIGNStartDate = null;
        public DateTime? RPJFOREIGNEndDate = null;

        /// <summary>
        /// RPJFOREIGN:tns:Expense.Operating.Lease.Amount
        /// </summary>
        public decimal? CTR78 = null;

        /// <summary>
        /// RPJFOREIGN:tns:Expense.Operating.Interest.Amount
        /// </summary>
        public decimal? CTR81 = null;

        /// <summary>
        /// RPJFOREIGN:tns:Expense.Royalties.Amount
        /// </summary>
        public decimal? CTR366 = null;

        public string RPY0Id = null;
        public bool RPY0Exists = false;
        public int RPY0Count = 0;
        public int RPY0OccurrenceIndex = 0;
        public int RPY0LastOccurrenceIndex = 0;
        public string RPY0Identifier = null;
        public string RPY0IdentifierScheme = null;
        public string RPY0IdentifierTFN = null;
        public DateTime? RPY0StartDate = null;
        public DateTime? RPY0EndDate = null;

        /// <summary>
        /// RPY0:tns:Expense.LandcareOperationsAcceleratedDepreciation.Amount
        /// </summary>
        public decimal? CTR111 = null;

        public string RPY0Minus1Id = null;
        public bool RPY0Minus1Exists = false;
        public int RPY0Minus1Count = 0;
        public int RPY0Minus1OccurrenceIndex = 0;
        public int RPY0Minus1LastOccurrenceIndex = 0;
        public string RPY0Minus1Identifier = null;
        public string RPY0Minus1IdentifierScheme = null;
        public string RPY0Minus1IdentifierTFN = null;
        public DateTime? RPY0Minus1StartDate = null;
        public DateTime? RPY0Minus1EndDate = null;

        /// <summary>
        /// RPY0Minus1:tns:Identifiers.AustralianRegisteredBodyNumber.Identifier
        /// </summary>
        public string CTR13 = null;

        /// <summary>
        /// RPY0Minus1:tns:Identifiers.AustralianCompanyNumber.Identifier
        /// </summary>
        public string CTR14 = null;

        /// <summary>
        /// RPY0Minus1:tns:Income.ExemptNet.Amount
        /// </summary>
        public decimal? CTR404 = null;

        /// <summary>
        /// RPY0Minus1:tns:IncomeTax.Liability.Amount
        /// </summary>
        public decimal? CTR407 = null;

        /// <summary>
        /// RPY0Minus1:tns:TaxRate.Designation.Rate
        /// </summary>
        public decimal? CTR409 = null;

        /// <summary>
        /// RPY0Minus1:tns:Income.AggregatedTurnoverRange.Code
        /// </summary>
        public string CTR394 = null;

        /// <summary>
        /// RPY0Minus1:tns:Income.AggregatedTurnover.Amount
        /// </summary>
        public decimal? CTR395 = null;

        /// <summary>
        /// RPY0Minus1:tns:TaxOffsetClaim.FrankingDeficit.Amount
        /// </summary>
        public decimal? CTR202 = null;

        public string RPY0Minus2Id = null;
        public bool RPY0Minus2Exists = false;
        public int RPY0Minus2Count = 0;
        public int RPY0Minus2OccurrenceIndex = 0;
        public int RPY0Minus2LastOccurrenceIndex = 0;
        public string RPY0Minus2Identifier = null;
        public string RPY0Minus2IdentifierScheme = null;
        public string RPY0Minus2IdentifierTFN = null;
        public DateTime? RPY0Minus2StartDate = null;
        public DateTime? RPY0Minus2EndDate = null;

        /// <summary>
        /// RPY0Minus2:tns:Income.ExemptNet.Amount
        /// </summary>
        public decimal? CTR403 = null;

        /// <summary>
        /// RPY0Minus2:tns:IncomeTax.Liability.Amount
        /// </summary>
        public decimal? CTR406 = null;

        public string RPYPreviousId = null;
        public bool RPYPreviousExists = false;
        public int RPYPreviousCount = 0;
        public int RPYPreviousOccurrenceIndex = 0;
        public int RPYPreviousLastOccurrenceIndex = 0;
        public string RPYPreviousIdentifier = null;
        public string RPYPreviousIdentifierScheme = null;
        public string RPYPreviousIdentifierTFN = null;
        public DateTime? RPYPreviousStartDate = null;
        public DateTime? RPYPreviousEndDate = null;

        /// <summary>
        /// RPYPrevious:tns:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount
        /// </summary>
        public decimal? CTR353 = null;

        public string RPY0Plus1Id = null;
        public bool RPY0Plus1Exists = false;
        public int RPY0Plus1Count = 0;
        public int RPY0Plus1OccurrenceIndex = 0;
        public int RPY0Plus1LastOccurrenceIndex = 0;
        public string RPY0Plus1Identifier = null;
        public string RPY0Plus1IdentifierScheme = null;
        public string RPY0Plus1IdentifierTFN = null;
        public DateTime? RPY0Plus1StartDate = null;
        public DateTime? RPY0Plus1EndDate = null;

        /// <summary>
        /// RPY0Plus1:tns:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount
        /// </summary>
        public decimal? CTR302 = null;

        public string RPY0SAPId = null;
        public bool RPY0SAPExists = false;
        public int RPY0SAPCount = 0;
        public int RPY0SAPOccurrenceIndex = 0;
        public int RPY0SAPLastOccurrenceIndex = 0;
        public string RPY0SAPIdentifier = null;
        public string RPY0SAPIdentifierScheme = null;
        public string RPY0SAPIdentifierTFN = null;
        public DateTime? RPY0SAPStartDate = null;
        public DateTime? RPY0SAPEndDate = null;

        /// <summary>
        /// RPY0SAP:tns:Income.AggregatedTurnoverRange.Code
        /// </summary>
        public string CTR411 = null;

        /// <summary>
        /// RPY0SAP:tns:Income.AggregatedTurnover.Amount
        /// </summary>
        public decimal? CTR412 = null;

        public string RPCFCLCId = null;
        public bool RPCFCLCExists = false;
        public int RPCFCLCCount = 0;
        public int RPCFCLCOccurrenceIndex = 0;
        public int RPCFCLCLastOccurrenceIndex = 0;
        public string RPCFCLCIdentifier = null;
        public string RPCFCLCIdentifierScheme = null;
        public string RPCFCLCIdentifierTFN = null;
        public DateTime? RPCFCLCStartDate = null;
        public DateTime? RPCFCLCEndDate = null;

        /// <summary>
        /// RPCFCLC:tns:Income.InternationalDealings.Attributed.Amount
        /// </summary>
        public decimal? CTR156 = null;

        public string RPCFCUCId = null;
        public bool RPCFCUCExists = false;
        public int RPCFCUCCount = 0;
        public int RPCFCUCOccurrenceIndex = 0;
        public int RPCFCUCLastOccurrenceIndex = 0;
        public string RPCFCUCIdentifier = null;
        public string RPCFCUCIdentifierScheme = null;
        public string RPCFCUCIdentifierTFN = null;
        public DateTime? RPCFCUCStartDate = null;
        public DateTime? RPCFCUCEndDate = null;

        /// <summary>
        /// RPCFCUC:tns:Income.InternationalDealings.Attributed.Amount
        /// </summary>
        public decimal? CTR158 = null;

        public string RPTOFAId = null;
        public bool RPTOFAExists = false;
        public int RPTOFACount = 0;
        public int RPTOFAOccurrenceIndex = 0;
        public int RPTOFALastOccurrenceIndex = 0;
        public string RPTOFAIdentifier = null;
        public string RPTOFAIdentifierScheme = null;
        public string RPTOFAIdentifierTFN = null;
        public DateTime? RPTOFAStartDate = null;
        public DateTime? RPTOFAEndDate = null;

        /// <summary>
        /// RPTOFA:tns:Income.OtherTotal.Amount
        /// </summary>
        public decimal? CTR255 = null;

        /// <summary>
        /// RPTOFA:tns:Expense.DeductibleOther.Amount
        /// </summary>
        public decimal? CTR256 = null;

        /// <summary>
        /// RPTOFA:tns:Income.GainsTotal.Amount
        /// </summary>
        public decimal? CTR310 = null;

        /// <summary>
        /// RPTOFA:tns:Expense.LossesTotal.Amount
        /// </summary>
        public decimal? CTR311 = null;

        /// <summary>
        /// RPTOFA:tns:Income.FinancialArrangementsUnrealisedGains.Amount
        /// </summary>
        public decimal? CTR290 = null;

        public string RPCMPLYId = null;
        public bool RPCMPLYExists = false;
        public int RPCMPLYCount = 0;
        public int RPCMPLYOccurrenceIndex = 0;
        public int RPCMPLYLastOccurrenceIndex = 0;
        public string RPCMPLYIdentifier = null;
        public string RPCMPLYIdentifierScheme = null;
        public string RPCMPLYIdentifierTFN = null;
        public DateTime? RPCMPLYStartDate = null;
        public DateTime? RPCMPLYEndDate = null;

        /// <summary>
        /// RPCMPLY:tns:Income.Insurance.Taxable.Amount
        /// </summary>
        public decimal? CTR179 = null;

        /// <summary>
        /// RPCMPLY:tns:Income.CapitalGainsNet.Amount
        /// </summary>
        public decimal? CTR180 = null;

        public string RPORDId = null;
        public bool RPORDExists = false;
        public int RPORDCount = 0;
        public int RPORDOccurrenceIndex = 0;
        public int RPORDLastOccurrenceIndex = 0;
        public string RPORDIdentifier = null;
        public string RPORDIdentifierScheme = null;
        public string RPORDIdentifierTFN = null;
        public DateTime? RPORDStartDate = null;
        public DateTime? RPORDEndDate = null;

        /// <summary>
        /// RPORD:tns:Income.CapitalGainsNet.Amount
        /// </summary>
        public decimal? CTR181 = null;

        public string RPClosingId = null;
        public bool RPClosingExists = false;
        public int RPClosingCount = 0;
        public int RPClosingOccurrenceIndex = 0;
        public int RPClosingLastOccurrenceIndex = 0;
        public string RPClosingIdentifier = null;
        public string RPClosingIdentifierScheme = null;
        public string RPClosingIdentifierTFN = null;
        public DateTime? RPClosingStartDate = null;
        public DateTime? RPClosingEndDate = null;

        /// <summary>
        /// RPClosing:tns:Equity.Dividends.FrankingAccountBalance.Amount
        /// </summary>
        public decimal? CTR139 = null;

        public string RPOpeningId = null;
        public bool RPOpeningExists = false;
        public int RPOpeningCount = 0;
        public int RPOpeningOccurrenceIndex = 0;
        public int RPOpeningLastOccurrenceIndex = 0;
        public string RPOpeningIdentifier = null;
        public string RPOpeningIdentifierScheme = null;
        public string RPOpeningIdentifierTFN = null;
        public DateTime? RPOpeningStartDate = null;
        public DateTime? RPOpeningEndDate = null;

        /// <summary>
        /// RPOpening:tns:Equity.Dividends.FrankingAccountBalance.Amount
        /// </summary>
        public decimal? CTR396 = null;

        public string RPClosingInstantId = null;
        public bool RPClosingInstantExists = false;
        public int RPClosingInstantCount = 0;
        public int RPClosingInstantOccurrenceIndex = 0;
        public int RPClosingInstantLastOccurrenceIndex = 0;
        public string RPClosingInstantIdentifier = null;
        public string RPClosingInstantIdentifierScheme = null;
        public string RPClosingInstantIdentifierTFN = null;
        public DateTime? RPClosingInstantInstantDate = null;

        /// <summary>
        /// RPClosingInstant:tns:Miscellaneous.CurrencyTranslation.Rate
        /// </summary>
        public decimal? CTR121 = null;

        /// <summary>
        /// RPClosingInstant:tns:Assets.Inventories.Total.Amount
        /// </summary>
        public decimal? CTR125 = null;

        /// <summary>
        /// RPClosingInstant:tns:Assets.Inventories.ValuationMethod.Code
        /// </summary>
        public string CTR126 = null;

        /// <summary>
        /// RPClosingInstant:tns:Assets.TradeandReceivablesOther.Amount
        /// </summary>
        public decimal? CTR128 = null;

        /// <summary>
        /// RPClosingInstant:tns:Assets.CurrentTotal.Amount
        /// </summary>
        public decimal? CTR129 = null;

        /// <summary>
        /// RPClosingInstant:tns:Assets.Total.Amount
        /// </summary>
        public decimal? CTR130 = null;

        /// <summary>
        /// RPClosingInstant:tns:Liabilities.NonCurrentTradeAndOtherPayables.Amount
        /// </summary>
        public decimal? CTR131 = null;

        /// <summary>
        /// RPClosingInstant:tns:Liabilities.CurrentTotal.Amount
        /// </summary>
        public decimal? CTR132 = null;

        /// <summary>
        /// RPClosingInstant:tns:Liabilities.Total.Amount
        /// </summary>
        public decimal? CTR133 = null;

        public string RPOpeningInstantId = null;
        public bool RPOpeningInstantExists = false;
        public int RPOpeningInstantCount = 0;
        public int RPOpeningInstantOccurrenceIndex = 0;
        public int RPOpeningInstantLastOccurrenceIndex = 0;
        public string RPOpeningInstantIdentifier = null;
        public string RPOpeningInstantIdentifierScheme = null;
        public string RPOpeningInstantIdentifierTFN = null;
        public DateTime? RPOpeningInstantInstantDate = null;

        /// <summary>
        /// RPOpeningInstant:tns:Assets.Inventories.Total.Amount
        /// </summary>
        public decimal? CTR123 = null;

        public string RPLowCostId = null;
        public bool RPLowCostExists = false;
        public int RPLowCostCount = 0;
        public int RPLowCostOccurrenceIndex = 0;
        public int RPLowCostLastOccurrenceIndex = 0;
        public string RPLowCostIdentifier = null;
        public string RPLowCostIdentifierScheme = null;
        public string RPLowCostIdentifierTFN = null;
        public DateTime? RPLowCostStartDate = null;
        public DateTime? RPLowCostEndDate = null;

        /// <summary>
        /// RPLowCost:tns:Expense.DepreciatingAssets.SmallBusinessEntity.Amount
        /// </summary>
        public decimal? CTR168 = null;

        public string RPGeneralPoolId = null;
        public bool RPGeneralPoolExists = false;
        public int RPGeneralPoolCount = 0;
        public int RPGeneralPoolOccurrenceIndex = 0;
        public int RPGeneralPoolLastOccurrenceIndex = 0;
        public string RPGeneralPoolIdentifier = null;
        public string RPGeneralPoolIdentifierScheme = null;
        public string RPGeneralPoolIdentifierTFN = null;
        public DateTime? RPGeneralPoolStartDate = null;
        public DateTime? RPGeneralPoolEndDate = null;

        /// <summary>
        /// RPGeneralPool:tns:Expense.DepreciatingAssets.SmallBusinessEntity.Amount
        /// </summary>
        public decimal? CTR169 = null;

        public string RPPreRulesId = null;
        public bool RPPreRulesExists = false;
        public int RPPreRulesCount = 0;
        public int RPPreRulesOccurrenceIndex = 0;
        public int RPPreRulesLastOccurrenceIndex = 0;
        public string RPPreRulesIdentifier = null;
        public string RPPreRulesIdentifierScheme = null;
        public string RPPreRulesIdentifierTFN = null;
        public DateTime? RPPreRulesStartDate = null;
        public DateTime? RPPreRulesEndDate = null;

        /// <summary>
        /// RPPreRules:tns:Expense.DeductionsTotal.Amount
        /// </summary>
        public decimal? CTR339 = null;

        public string RPInterimRulesId = null;
        public bool RPInterimRulesExists = false;
        public int RPInterimRulesCount = 0;
        public int RPInterimRulesOccurrenceIndex = 0;
        public int RPInterimRulesLastOccurrenceIndex = 0;
        public string RPInterimRulesIdentifier = null;
        public string RPInterimRulesIdentifierScheme = null;
        public string RPInterimRulesIdentifierTFN = null;
        public DateTime? RPInterimRulesStartDate = null;
        public DateTime? RPInterimRulesEndDate = null;

        /// <summary>
        /// RPInterimRules:tns:Expense.DeductionsTotal.Amount
        /// </summary>
        public decimal? CTR340 = null;

        public string RPProspectiveRulesId = null;
        public bool RPProspectiveRulesExists = false;
        public int RPProspectiveRulesCount = 0;
        public int RPProspectiveRulesOccurrenceIndex = 0;
        public int RPProspectiveRulesLastOccurrenceIndex = 0;
        public string RPProspectiveRulesIdentifier = null;
        public string RPProspectiveRulesIdentifierScheme = null;
        public string RPProspectiveRulesIdentifierTFN = null;
        public DateTime? RPProspectiveRulesStartDate = null;
        public DateTime? RPProspectiveRulesEndDate = null;

        /// <summary>
        /// RPProspectiveRules:tns:Expense.DeductionsTotal.Amount
        /// </summary>
        public decimal? CTR341 = null;

        public string RPInvestorId = null;
        public bool RPInvestorExists = false;
        public int RPInvestorCount = 0;
        public int RPInvestorOccurrenceIndex = 0;
        public int RPInvestorLastOccurrenceIndex = 0;
        public string RPInvestorIdentifier = null;
        public string RPInvestorIdentifierScheme = null;
        public string RPInvestorIdentifierTFN = null;
        public DateTime? RPInvestorStartDate = null;
        public DateTime? RPInvestorEndDate = null;

        /// <summary>
        /// RPInvestor:tns:TaxOffsetClaim.NonRefundableOther.Amount
        /// </summary>
        public decimal? CTR368 = null;

        public string RPLimitedPartnersId = null;
        public bool RPLimitedPartnersExists = false;
        public int RPLimitedPartnersCount = 0;
        public int RPLimitedPartnersOccurrenceIndex = 0;
        public int RPLimitedPartnersLastOccurrenceIndex = 0;
        public string RPLimitedPartnersIdentifier = null;
        public string RPLimitedPartnersIdentifierScheme = null;
        public string RPLimitedPartnersIdentifierTFN = null;
        public DateTime? RPLimitedPartnersStartDate = null;
        public DateTime? RPLimitedPartnersEndDate = null;

        /// <summary>
        /// RPLimitedPartners:tns:TaxOffsetClaim.NonRefundableOther.Amount
        /// </summary>
        public decimal? CTR369 = null;

        public string RPInvestorYPreviousId = null;
        public bool RPInvestorYPreviousExists = false;
        public int RPInvestorYPreviousCount = 0;
        public int RPInvestorYPreviousOccurrenceIndex = 0;
        public int RPInvestorYPreviousLastOccurrenceIndex = 0;
        public string RPInvestorYPreviousIdentifier = null;
        public string RPInvestorYPreviousIdentifierScheme = null;
        public string RPInvestorYPreviousIdentifierTFN = null;
        public DateTime? RPInvestorYPreviousStartDate = null;
        public DateTime? RPInvestorYPreviousEndDate = null;

        /// <summary>
        /// RPInvestorYPrevious:tns:TaxOffsetClaim.NonRefundableOther.Amount
        /// </summary>
        public decimal? CTR374 = null;

        public string RPLimitedPartnersYPreviousId = null;
        public bool RPLimitedPartnersYPreviousExists = false;
        public int RPLimitedPartnersYPreviousCount = 0;
        public int RPLimitedPartnersYPreviousOccurrenceIndex = 0;
        public int RPLimitedPartnersYPreviousLastOccurrenceIndex = 0;
        public string RPLimitedPartnersYPreviousIdentifier = null;
        public string RPLimitedPartnersYPreviousIdentifierScheme = null;
        public string RPLimitedPartnersYPreviousIdentifierTFN = null;
        public DateTime? RPLimitedPartnersYPreviousStartDate = null;
        public DateTime? RPLimitedPartnersYPreviousEndDate = null;

        /// <summary>
        /// RPLimitedPartnersYPrevious:tns:TaxOffsetClaim.NonRefundableOther.Amount
        /// </summary>
        public decimal? CTR373 = null;

        public string RPY0Minus1toY0Minus2Id = null;
        public bool RPY0Minus1toY0Minus2Exists = false;
        public int RPY0Minus1toY0Minus2Count = 0;
        public int RPY0Minus1toY0Minus2OccurrenceIndex = 0;
        public int RPY0Minus1toY0Minus2LastOccurrenceIndex = 0;
        public string RPY0Minus1toY0Minus2Identifier = null;
        public string RPY0Minus1toY0Minus2IdentifierScheme = null;
        public string RPY0Minus1toY0Minus2IdentifierTFN = null;
        public DateTime? RPY0Minus1toY0Minus2StartDate = null;
        public DateTime? RPY0Minus1toY0Minus2EndDate = null;

        /// <summary>
        /// RPY0Minus1toY0Minus2:tns:Tax.Losses.Total.Amount
        /// </summary>
        public decimal? CTR397 = null;

        public string RPY0toY0Minus2Id = null;
        public bool RPY0toY0Minus2Exists = false;
        public int RPY0toY0Minus2Count = 0;
        public int RPY0toY0Minus2OccurrenceIndex = 0;
        public int RPY0toY0Minus2LastOccurrenceIndex = 0;
        public string RPY0toY0Minus2Identifier = null;
        public string RPY0toY0Minus2IdentifierScheme = null;
        public string RPY0toY0Minus2IdentifierTFN = null;
        public DateTime? RPY0toY0Minus2StartDate = null;
        public DateTime? RPY0toY0Minus2EndDate = null;

        /// <summary>
        /// RPY0toY0Minus2:tns:Tax.Losses.Total.Amount
        /// </summary>
        public decimal? CTR398 = null;

        public string RPY0toY0Minus1Id = null;
        public bool RPY0toY0Minus1Exists = false;
        public int RPY0toY0Minus1Count = 0;
        public int RPY0toY0Minus1OccurrenceIndex = 0;
        public int RPY0toY0Minus1LastOccurrenceIndex = 0;
        public string RPY0toY0Minus1Identifier = null;
        public string RPY0toY0Minus1IdentifierScheme = null;
        public string RPY0toY0Minus1IdentifierTFN = null;
        public DateTime? RPY0toY0Minus1StartDate = null;
        public DateTime? RPY0toY0Minus1EndDate = null;

        /// <summary>
        /// RPY0toY0Minus1:tns:Tax.Losses.Total.Amount
        /// </summary>
        public decimal? CTR399 = null;

        public string RPY0Plus1toY0Minus2Id = null;
        public bool RPY0Plus1toY0Minus2Exists = false;
        public int RPY0Plus1toY0Minus2Count = 0;
        public int RPY0Plus1toY0Minus2OccurrenceIndex = 0;
        public int RPY0Plus1toY0Minus2LastOccurrenceIndex = 0;
        public string RPY0Plus1toY0Minus2Identifier = null;
        public string RPY0Plus1toY0Minus2IdentifierScheme = null;
        public string RPY0Plus1toY0Minus2IdentifierTFN = null;
        public DateTime? RPY0Plus1toY0Minus2StartDate = null;
        public DateTime? RPY0Plus1toY0Minus2EndDate = null;

        /// <summary>
        /// RPY0Plus1toY0Minus2:tns:Tax.Losses.Total.Amount
        /// </summary>
        public decimal? CTR400 = null;

        public string RPY0Plus1toY0Minus1Id = null;
        public bool RPY0Plus1toY0Minus1Exists = false;
        public int RPY0Plus1toY0Minus1Count = 0;
        public int RPY0Plus1toY0Minus1OccurrenceIndex = 0;
        public int RPY0Plus1toY0Minus1LastOccurrenceIndex = 0;
        public string RPY0Plus1toY0Minus1Identifier = null;
        public string RPY0Plus1toY0Minus1IdentifierScheme = null;
        public string RPY0Plus1toY0Minus1IdentifierTFN = null;
        public DateTime? RPY0Plus1toY0Minus1StartDate = null;
        public DateTime? RPY0Plus1toY0Minus1EndDate = null;

        /// <summary>
        /// RPY0Plus1toY0Minus1:tns:Tax.Losses.Total.Amount
        /// </summary>
        public decimal? CTR401 = null;

        public string RPY0Plus1toY0Id = null;
        public bool RPY0Plus1toY0Exists = false;
        public int RPY0Plus1toY0Count = 0;
        public int RPY0Plus1toY0OccurrenceIndex = 0;
        public int RPY0Plus1toY0LastOccurrenceIndex = 0;
        public string RPY0Plus1toY0Identifier = null;
        public string RPY0Plus1toY0IdentifierScheme = null;
        public string RPY0Plus1toY0IdentifierTFN = null;
        public DateTime? RPY0Plus1toY0StartDate = null;
        public DateTime? RPY0Plus1toY0EndDate = null;

        /// <summary>
        /// RPY0Plus1toY0:tns:Tax.Losses.Total.Amount
        /// </summary>
        public decimal? CTR402 = null;

    }
}
